/**
 * Default callback function, returning a 404 response.
 * @param[in]   request   incoming HTTP request
 * @param[out]  response  HTTP response to the request
 * @param[in]   user_data extra data to pass between main thread and callbacks
 * @return                internal status code
 */
int callback_default(const struct _u_request * request,
    struct _u_response * response, void * user_data)
{
    ulfius_set_string_body_response(response, 404, "Unknown endpoint");
    return U_CALLBACK_CONTINUE;
}
