// Web interface settings.
#define PREFIX "/cryptops/v0"
#define PORT 8000
#define BIND_ADDRESS "127.0.0.1"

// Filesystem parameters.
#define FILESYSTEM_TYPE "xfs"

// Mountpoint paths.
#define INFO_MOUNTPOINT "/conf/persistent"

// Resource usage.
#define MEMORY_USAGE 0.9

// Temporary mountpoints.
#define UNENCRYPTED_TMP_MOUNTPOINT "/tmp/mnt-plain"
#define INFO_TMP_MOUNTPOINT "/tmp/mnt-info"
#define DATA_TMP_MOUNTPOINT "/tmp/mnt-data"

// Ssh configuration file locations.
#define AUTHORIZED_KEYS_DIR "/root/.ssh"
#define AUTHORIZED_KEYS_PATH AUTHORIZED_KEYS_DIR "/authorized_keys"
#define SSH_HOST_KEY_DIR "/dropbear"

// Ssh authorized_keys settings.
// This string is prepended to new and converted authorized_keys.
#define SSH_COMMAND "command=\"cd / && /usr/bin/cryptops-client\""

// Luks parameters.
#define LUKS_HEADER_SIZE 1052672
